<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_f02edf67305f5d984784e5a63acb" . "5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbW" . "Vtb3J5IGNhY2hlcyAocnVubmlu" . "ZyBmcm9tIHRoZSBjb21tYW5kIG" . "xpbmUp"), "_2d885755f5913deb2b5a483bd6761" . "1d1" => base64_decode("Y2ZnX2xvY2FsX2RhdGFfZG" . "ly"), "_282505db60b6a60f1a" . "0c54a0f8c27092" => base64_decode("VEVNUExBVE" . "VSX0NBQ0hF" . "X0RJUg=="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_2935eb81473a5cd" . "f164ba52dc31d305" . "c" => base64_decode("Q2xlYXJpbmcgbWVtb" . "3J5IGNhY2hlcw=="), "_3d13c2fddaab71a0" . "9eeaf22607f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZ" . "CBjYWNoZXM="), "_d9040256bff96ad2c221f7943" . "9e0560c" => base64_decode("Q2xlYXJp" . "bmcgZGly" . "ZWN0b3J5" . "IA=="), "_70373a6864aa243b3e8b9c3" . "8ac08e7ff" => base64_decode("Q2xlYXJpbmcg" . "VHdpZyBjYWNo" . "ZQ=="), "_8fd6da143a742433037" . "d3741c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9j" . "YWwgYXNzZXRzIGNh" . "Y2hl"), "_593349d6587de2820ea940" . "082ef8271e" => base64_decode("Q2xlYXJpbmcgVGVtcGxhdGVyIGNhY2" . "hl"), "_dd17da474489c53ba873b91c0" . "6c72f29" => base64_decode("L3R3aWdfY2" . "FjaGU="), "_8fec21706bd24" . "3b37ecf62b1caf" . "8fb8a" => base64_decode("Y2x" . "p"), "_22ac6aae2762e0f" . "310c495384c477dc" . "8" => base64_decode("LmdpdGtl" . "ZXA="), "_8368ecd0faa75c" . "04b4e54eac3bd45" . "d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uI" . "GNhY2hl"), "_db98357e662ee4057f89ee50" . "fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc2V0cyBjYWN" . "oZQ=="), "_db7b2956" . "29faa1602" . "7a2c26309" . "5eba70" => base64_decode("cGhwX3NhcG" . "lfbmFtZQ=="), "_edd716f0baedc2" . "427c121be529bf2" . "22d" => base64_decode("Q2xlYXJpbmcgYWxsIGx" . "vY2FsIGNhY2hlcw=="));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $twig_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_282505db60b6a60f1a0c" . "54a0f8c27092"]);
        $this->twig_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2d885755f591" . "3deb2b5a483bd" . "67611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_dd17da474489c53ba873b91c06c72f" . "29"];
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_edd716f0baedc242" . "7c121be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_db7b295629fa" . "a16027a2c2630" . "95eba70"]() !== $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8fec21706bd243b37ecf62b" . "1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f02edf67305f5d984784e5a" . "63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
        $this->ClearTwig();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3d13c2f" . "ddaab71a" . "09eeaf22" . "607f1db0" . "f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8368ecd0fa" . "a75c04b4e54" . "eac3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_8fd6da143a742433037d3741c26c9f1" . "4"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_db98357e66" . "2ee4057f89e" . "e50fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2935eb81473a5cdf164ba52dc31d" . "305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e8159697c" . "90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e81596" . "97c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_593349d6587de2820ea94" . "0082ef8271e"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    public function ClearTwig()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_70373a6864aa243b3e" . "8b9c38ac08e7ff"]);
        return $this->ClearDirectory($this->twig_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d9040256bff96ad2c221f" . "79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_22ac6aae" . "2762e0f31" . "0c495384c" . "477dc8"]);
    }
}